#pragma once
#include "B4RDefines.h"
#include "DFRobotDFPlayerMini.h"

    //~Event: 
    //~Version: 1.0 
    //~Author - 
    //~Libray from Arduino

namespace B4R {
    //~shortname:DFRobotDFPlayerMini 
    class B4RDFRobotDFPlayerMini 
    {
        private:
            DFRobotDFPlayerMini dfrobotdfplayermini;
        public:
    // byte _handleType
    // byte _handleCommand
    // uint16_t _handleParameter
    // bool _isAvailable = false
    // bool _isSending = false
            bool handleMessage(byte type, uint16_t parameter);
            bool handleError(byte type, uint16_t parameter);
            byte readCommand();
            bool begin(B4RStream* stream, bool isACK, bool doReset);
            bool waitAvailable(uint32_t duration);
            bool available();
            byte readType();
            uint16_t read();
            void setTimeOut(uint32_t timeOutDuration);
            void next();
            void previous();
            void play(int16_t fileNumber);
            void volumeUp();
            void volumeDown();
            void volume(byte volume);
            void EQ(byte eq);
            void loop(int16_t fileNumber);
            void outputDevice(byte device);
            void sleep();
            void reset();
            void start();
            void pause();
            void playFolder(byte folderNumber, byte fileNumber);
            void outputSetting(bool enable, byte gain);
            void enableLoopAll();
            void disableLoopAll();
            void playMp3Folder(int16_t fileNumber);
            void advertise(int16_t fileNumber);
            void playLargeFolder(byte folderNumber, uint16_t fileNumber);
            void stopAdvertise();
            void stop();
            void loopFolder(int16_t folderNumber);
            void randomAll();
            void enableLoop();
            void disableLoop();
            void enableDAC();
            void disableDAC();
            int16_t readState();
            int16_t readVolume();
            int16_t readEQ();
            int16_t readFileCounts(byte device);
            int16_t readCurrentFileNumber(byte device);
            int16_t readFileCountsInFolder(int16_t folderNumber);
            int16_t readFileCounts1();
            int16_t readFolderCounts();
            int16_t readCurrentFileNumber1();
    };
}
